      SUBROUTINE GMAINV (QQ,IBASE,LENN)
C.....SUBSTITUTE FOR DYNAMIC MEMORY ALLOCATION
C.... THIS ROUTINE MUST BE CALLED WITH QQ FIRST WORD IN COMMON/BIG/
C....  THIS ROUTINE IS NOT FOOLPROOF
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      PARAMETER (MAXM = 1 100 000 000)
      COMMON/BIG/Q(MAXM)
      COMMON /CORCTL/ INTREL,ICORCT(8)
C...  INTREL MUST BE NUMBER OF INTEGERS PER REAL
      INTREL = 2
C
      LENN = MIN(MAXM,LENN)
      IBASE = 1
      RETURN
      ENTRY FMAIN (QQ,LENN)
C.....SUBSITUTE FOR MEMORY RELEASE
      RETURN
      END
      FUNCTION SECOND()
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
C.....SHOUld RETURN CPU TIME IN SECONDS
      SAVE T
      DATA T/0D0/
      SECOND=T
      T=T+.01D0
      RETURN
      END
